Update a contact property's fallback

PATCH
/v1/contact_properties/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The property's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Request Body

application/json
  1. body
fallback*|number|boolean|null

Response Body

The property.

application/json
  1. response
object*"contact_property"
Value in"contact_property"
id*string
key*string
type*string

date values are ISO 8601 strings.

Value in"string""number""boolean""date"
fallback*|||

Used in templates for contacts without a value.

created_at*string
Formatdate-time
updated_at*string
Formatdate-time
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.contacts.properties.update("cprop_01k7c8m4q2f3e9v6t5r1n0p8yz", {  fallback: "starter",});
{  "object": "contact_property",  "id": "cprop_01k7c8m4q2f3e9v6t5r1n0p8yz",  "key": "plan",  "type": "string",  "fallback": "free",  "created_at": "2026-10-10T12:00:00.000Z",  "updated_at": "2026-10-10T12:00:00.000Z"}